
#ifndef __LOADER_INCLUDED
#define __LOADER_INCLUDED 1

void printf(argsize, char *format, ...) syscall;
void princ(int c) syscall;
void prinvc(int c) syscall;
void prin4c(int c) syscall;
void prins(char *s) syscall;
void prinsn(int len, char *s) syscall;
void prinum(int n) syscall;
void prinhd(int n) syscall;
void prinhw(int n) syscall;
void prinhb(int n) syscall;
void newline(void) syscall;
int inchar(void) syscall;
int innum(void) syscall;
void iflush(void) syscall;
void backch(void) syscall;
void flush(void) syscall;
int filenum(char *fn) syscall;
void readblk(void *addr, int blkn) syscall;
void writeblk(void *addr, int blkn) syscall;
void ranseed(int init) syscall;
int findfile(char *fn, int *firstblk, int *nblocks) syscall;
int ticktime(void) syscall;
void reseth(void) syscall;
void * malloc(int nbytes) syscall;
void * palloc(void) syscall;
void free(void * addr) syscall;
void clrscr(void) syscall;

#define EOF (-1)
#define NULL ((void *)0)

#endif



